Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
-  class JavapTask extends JavapTool
  Definition Classes
    shell
- JavaReporter
- JavapFileManager

c

scala.tools.nsc.interpreter.shell.JavapTask

# JavaReporter

###

#### class JavaReporter extends DiagnosticListener[JavaFileObject] with Clearable

Source
  JavapClass.scala

Linear Supertypes
Clearable, DiagnosticListener[JavaFileObject], AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaReporter
2. Clearable
3. DiagnosticListener
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new JavaReporter()

### Type Members

1.  type D = Diagnostic[_ <: JavaFileObject]

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavaReporter toany2stringadd[JavaReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavaReporter, B)
   Implicit
     This member is added by an implicit conversion from JavaReporter toArrowAssoc[JavaReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clear(): Unit
   Definition Classes
     JavaReporter → Clearable
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val diagnostics: ConcurrentLinkedQueue[D]
10.  def ensuring(cond: (JavaReporter) => Boolean, msg: => Any): JavaReporter
    Implicit
      This member is added by an implicit conversion from JavaReporter toEnsuring[JavaReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (JavaReporter) => Boolean): JavaReporter
    Implicit
      This member is added by an implicit conversion from JavaReporter toEnsuring[JavaReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): JavaReporter
    Implicit
      This member is added by an implicit conversion from JavaReporter toEnsuring[JavaReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): JavaReporter
    Implicit
      This member is added by an implicit conversion from JavaReporter toEnsuring[JavaReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavaReporter toStringFormat[JavaReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def messages(implicit locale: Locale = null): collection.immutable.List[String]

    All diagnostic messages.

    All diagnostic messages.

    locale

      Locale for diagnostic messages, null by default.

22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def report(d: Diagnostic[_ <: JavaFileObject]): Unit
    Definition Classes
      JavaReporter → DiagnosticListener
26.  def reportable(): String
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (JavaReporter, B)
   Implicit
     This member is added by an implicit conversion from JavaReporter toArrowAssoc[JavaReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Clearable

### Inherited from DiagnosticListener[JavaFileObject]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromJavaReporter to any2stringadd[JavaReporter]

### Inherited by implicit conversion StringFormat fromJavaReporter to StringFormat[JavaReporter]

### Inherited by implicit conversion Ensuring fromJavaReporter to Ensuring[JavaReporter]

### Inherited by implicit conversion ArrowAssoc fromJavaReporter to ArrowAssoc[JavaReporter]

### Ungrouped